/* @refresh reload */
import { render } from "solid-js/web";
import App from "./App";
import "./index.css";
import { Route, Router } from "@solidjs/router";
import { ImagePage } from "./ImagePage";

render(
    () => (
        <Router>
            <Route path="/" component={App} />
            <Route path="/image/:imageId" component={ImagePage} />
        </Router>
    ),
    document.getElementById("root") as HTMLElement,
);
